Skip to main content
GET
/
api
/
v1
/
esim
/
packages
List eSIM Packages
curl --request GET \
  --url https://api.payvessel.com/api/v1/esim/packages \
  --header 'api-key: <api-key>' \
  --header 'api-secret: <api-key>'
{
  "status": true,
  "message": "<string>",
  "data": [
    {
      "package_code": "<string>",
      "name": "<string>",
      "currency_code": "<string>",
      "price_units": 123,
      "price_usd": 123,
      "volume_bytes": 123,
      "duration": 123,
      "duration_unit": "<string>",
      "location": "<string>",
      "slug": "<string>",
      "retail_price_units": 123,
      "retail_price_usd": 123,
      "description": "<string>",
      "active_type": 123,
      "favorite": true,
      "speed": "<string>",
      "sms_status": 123,
      "data_type": 123,
      "unused_valid_time": 123,
      "location_networks": [
        {
          "location_name": "<string>",
          "location_logo": "<string>",
          "operators": [
            {
              "operator_name": "<string>",
              "network_type": "<string>"
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

api-key
string
header
required
api-secret
string
header
required

Query Parameters

location_code
string | null
package_type
string
default:BASE
package_code
string | null
slug
string | null
iccid
string | null

Response

Successful Response

status
boolean
required
message
string
required
data
PackageSchema · object[]
required